org.eclipse.wst.jsdt.chromium.debug.core.util

## Class MementoFormat

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.core.util.MementoFormat

    public class MementoFormat
    extends java.lang.Object

Handles memento string format. The format is just a sequence of strings that are preceded with their lengths and decorated with parentheses to make it more human-readable.

### Nested Class Summary

Nested Classes
`static class` `MementoFormat.Parser` A simple parser that reads char sequence as a sequence of strings.
`static class` `MementoFormat.ParserException`

### Constructor Summary

Constructors
Constructor and Description
`MementoFormat()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `encodeComponent(java.lang.String component, java.lang.StringBuilder output)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MementoFormat

    public MementoFormat()

### Method Detail

#### encodeComponent

    public static void encodeComponent(java.lang.String component,
                                       java.lang.StringBuilder output)